Bug 432245 - gnome-panel doesn't work with SVG icons or background images
gnome-panel doesn't work with SVG icons or background images
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-10 07:13 EST by Keith G. Robertson-Turner
Modified: 2009-01-09 00:57 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:57:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keith G. Robertson-Turner 2008-02-10 07:13:12 EST
Description of problem:
AFAIK gnome-panel is supposed to work with SVG images, but the version provided
with Fedora does not.

When resizing the panel within certain size ranges (e.g. 32x32), icons revert to
the generic "no image" icon, because the bitmap alternatives are being used, but
not scaled. IMO if the SVG icons were supported and being used, this wouldn't
happen.

When selecting a background imaged for the gnome-panel, if the image is an SVG
then nothing is displayed at all, and the panel reverts back to solid colour.

Version-Release number of selected component (if applicable):
gnome-panel-2.20.2-1.fc8

How reproducible:
Always

Steps to Reproduce:
1. Install an SVG icon set using gnome-appearance-properties
2. Change panel's background image to an SVG using its properties applet
3. Resize a panel to e.g. 32 pixels
  
Actual results:
No SVG icons nor panel background image is displayed

Expected results:
gnome-panel should support SVG images

Additional info:
Tested on both i386 and x86_64 machines, with the same results.
Comment 1 Matthias Clasen 2008-02-15 10:55:23 EST
svg background works fine in rawhide, and for issues with icons when resizing
the panel, that is not the panels fault, but depends on the definitions in the
icon theme.
Comment 2 Keith G. Robertson-Turner 2008-02-15 19:24:55 EST
Ah OK. I assumed we supported SVG already.

+1 set resolution to RAWHIDE and close.
Comment 3 Jim Haynes 2008-05-23 21:57:19 EDT
I guess this is the same thing I am seeing.  If I have the size of the
gnome panel 47 pixels or less the logout icon appears as a running man,
but if I make it bigger the icon turns into something that looks like
a dark photograph with the lower right corner turned up.
Comment 4 Jim Haynes 2008-05-24 16:47:31 EDT
Adding to the mystery: comment #3 above applies to a machine I upgraded from
F7 to F8.  But on the same machine I have another disk partition with F8
fresh installed, and on that one I can make the gnome panel as large as I
want and still the logout icon remains the green running man.
Comment 5 Bug Zapper 2008-11-26 04:46:15 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 00:57:55 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.